Bug 125860 - FILEOPEN XLSX: separate options for display/print Zero values | Set print-zero as in XLSX during import
Summary: FILEOPEN XLSX: separate options for display/print Zero values | Set print-zer...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2019-06-11 15:57 UTC by Tobias Burnus
Modified: 2022-10-09 03:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example XLSX file from Excel 2007 SP 3 (24.80 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-06-11 15:57 UTC, Tobias Burnus
Details
Screenshot - comparing LibreOffice Calc and Excel 2007 - with normal view and print preview (172.82 KB, image/png)
2019-06-11 16:04 UTC, Tobias Burnus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2019-06-11 15:57:42 UTC
Created attachment 152106 [details]
Example XLSX file from Excel 2007 SP 3

That's with LO 6.2.2.2 on 32bit Windows.

The following Excel sheet shows no "0" when viewed in Excel 2007 SP 3 and LibreOffice, but when printing it in LibreOffice (e.g. print preview, PDF export etc.) the "0" do appear.

EXPECTED: Consistent result - i.e. no 0.
Comment 1 Tobias Burnus 2019-06-11 16:04:15 UTC
Created attachment 152107 [details]
Screenshot - comparing LibreOffice Calc and Excel 2007 - with normal view and print preview
Comment 2 Xavier Van Wijmeersch 2019-06-11 16:35:35 UTC
When you go to format page and in tab sheet uncheck zero values, you will have no zero when printing.
And a second place where you can uncheck zero values is in tools => option => libreoffice calc => view

So for me its WFM and not a bug

Best regards
Comment 3 Oliver Brinzing 2019-06-11 16:46:31 UTC
confirming

"Zero values" options after opening *.xlsx are:

- Menu "Tools/Options.../LibreOffice Calc/View 
   Display [ ] Zero values

- Menu "Format/Page.../Sheet"  (PageStyle_Gruppe 3")
  Print  [X] Zero values

result: LO shows 0 in print preview but nothing in normal view

btw: not sure if excel has a separate option for displaying/printing zero values.
Comment 4 Tobias Burnus 2019-06-12 08:57:01 UTC
(In reply to Oliver Brinzing from comment #3)
> "Zero values" options after opening *.xlsx are:
> - Menu "Tools/Options.../LibreOffice Calc/View 
>    Display [ ] Zero values
> - Menu "Format/Page.../Sheet"  (PageStyle_Gruppe 3")
>   Print  [X] Zero values
> 
> result: LO shows 0 in print preview but nothing in normal view
> btw: not sure if excel has a separate option for displaying/printing zero
> values.

The PowerPoint file (.xlsx) contains for that sheet ("xl/worksheets/sheet1.xml"):

<sheetView showZeros="0" tabSelected="1" zoomScale="85"
zoomScaleNormal="85" zoomScalePageLayoutView="80" workbookViewId="0">


My understanding is that in Excel there is only one common setting for printing/PDF export and viewing - and that this setting is per sheet.
(I think one common setting makes sense as you get what you see.)

Cf. also https://support.office.com/en-us/article/display-or-hide-zero-values-3ec7a433-46b8-4516-8085-a00e9e476b03


EXPECTED:
* For sure, on IMPORT the per-sheet setting of the PowerPoint file ("showZeros") should properly set the page setting in LibreOffice as there is a one-to-one match.


For consideration:

* Tools/Options: Make it clearer which options are the setup for this LibreOffice installation and which are for the document currently open (and saved alongside with the document).


* Consider for instance to have a three-way choice in Tools/Options: Show zero, do not show zero, use page-setting also for viewing on the screen.
Comment 5 QA Administrators 2022-10-09 03:49:06 UTC
Dear Tobias Burnus,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug